RuntimeError: Failed to unpickle serialized exception #5

Closed
opened 2022-05-06 13:35:20 +02:00 by spla · 1 comment
spla commented 2022-05-06 13:35:20 +02:00 (Migrated from gitlab.com)

ERROR serialization.py:311 -- Failed to unpickle serialized exception
Traceback (most recent call last):
File "/lib/python3.8/site-packages/ray/exceptions.py", line 38, in from_ray_exception
return pickle.loads(ray_exception.serialized_exception)
TypeError: init() missing 1 required positional argument: 'length'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/lib/python3.8/site-packages/ray/serialization.py", line 309, in deserialize_objects
obj = self._deserialize_object(data, metadata, object_ref)
File "/lib/python3.8/site-packages/ray/serialization.py", line 238, in _deserialize_object
return RayError.from_bytes(obj)
File "/lib/python3.8/site-packages/ray/exceptions.py", line 32, in from_bytes
return RayError.from_ray_exception(ray_exception)
File "/lib/python3.8/site-packages/ray/exceptions.py", line 41, in from_ray_exception
raise RuntimeError(msg) from e
RuntimeError: Failed to unpickle serialized exception

ERROR serialization.py:311 -- Failed to unpickle serialized exception Traceback (most recent call last): File "/lib/python3.8/site-packages/ray/exceptions.py", line 38, in from_ray_exception return pickle.loads(ray_exception.serialized_exception) TypeError: __init__() missing 1 required positional argument: 'length' The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/lib/python3.8/site-packages/ray/serialization.py", line 309, in deserialize_objects obj = self._deserialize_object(data, metadata, object_ref) File "/lib/python3.8/site-packages/ray/serialization.py", line 238, in _deserialize_object return RayError.from_bytes(obj) File "/lib/python3.8/site-packages/ray/exceptions.py", line 32, in from_bytes return RayError.from_ray_exception(ray_exception) File "/lib/python3.8/site-packages/ray/exceptions.py", line 41, in from_ray_exception raise RuntimeError(msg) from e RuntimeError: Failed to unpickle serialized exception
spla commented 2022-05-06 13:35:20 +02:00 (Migrated from gitlab.com)

assigned to @spla

assigned to @spla
Sign in to join this conversation.
No Label
bug
suggestion
No Milestone
No project
No Assignees
1 Participants
Notifications
Due Date
The due date is invalid or out of range. Please use the format 'yyyy-mm-dd'.

No due date set.

Dependencies

No dependencies set.

Reference: spla/fediverse#5
No description provided.